package com.csc.library.factory;

import javax.websocket.Session;

import com.csc.library.properties.CscDevice;
import com.csc.library.properties.CscSession;
import com.csc.library.properties.SessionHandle;
import com.csc.library.utilities.UProfile;

public class SessionFactory {
	private static SessionFactory instance;
	
	private SessionFactory(){
	}
	
	public static SessionFactory getInstance(){
		if(instance == null){
			instance = new SessionFactory();
		}
		return instance;
	}
	
	public CscSession createSession(UProfile upf,Session session , CscDevice device){
		return new SessionHandle(upf , session , device);
	}
}
