package com.csc.library.properties;

import com.csc.library.controller.WebSocketCommandController;
import com.csc.library.request.RequestWebsocket;
import com.csc.library.response.ResponseWebsocket;

public class HandleMessageData implements HandlePackage<CscSession>{
	
	@Override
	public boolean isExistsRequest(CscSession session, String reqId) {
		return false;
	}

	@Override
	public void onRequest(CscSession session, RequestWebsocket req) {
		WebSocketCommandController.getInstance().executeCommand(session, req);
	}

	@Override
	public void onResponse(CscSession session, ResponseWebsocket res) {
		
	}

	@Override
	public boolean validateSendRequest(CscSession session, RequestWebsocket req) {
		return true;
	}

	@Override
	public boolean validateSendResponse(CscSession session, ResponseWebsocket req) {
		return true;
	}

	@Override
	public void send(CscSession session, String jsonSting) {
		session.sendMessage(jsonSting);
	}
	
}
