package com.csc.library.command.common;

import com.csc.library.command.CommandRecord;
import com.csc.library.command.util.CommonParameterUtil;
import com.csc.library.request.CommandState;
import com.csc.library.request.CommonModeParameter;
import com.csc.library.session.DbInquiry;
import com.csc.library.session.DbRecord;
import com.csc.library.session.InitialRecord;

/* read record */
public class Command001 extends CommandRecord<CommonModeParameter>{

	public void execute(CommonModeParameter param) throws Exception {
		try{
			this.sendMessage("Start Command Common Read Record");
			DbRecord rec = new InitialRecord(this.getUProfile()).getDbRecord(param.getTableName());
			rec.setGroupfield(param.getGroupField());
			
			CommonParameterUtil.setKeyRecord(rec, param);

			if(rec.search()==1){
				this.sendMessage("Command001 : Search Record Success" , CommandState.success);
				this.setRecord(rec);
			}else{
				this.sendMessage("Command001 : Search Record Fail : "+CommandState.fail);
			}
		}catch(Exception e){
			e.printStackTrace();
			this.sendMessage("Exception : "+e.getMessage());
		}
	}
}
