package com.csc.library.command.ftp;

import java.io.File;

import com.csc.library.command.CommandNoResult;
import com.csc.library.properties.JsonFile;
import com.csc.library.properties.JsonFileImpl;
import com.csc.library.session.InitialEnvironment;

public class UploadFtp extends CommandNoResult<JsonFile>{

	@Override
	public void execute(JsonFile jsonFile) throws Exception {
		if(jsonFile != null){
			String dirupload = new InitialEnvironment().getValue(jsonFile.getDirectory());
			jsonFile.writeFile(dirupload+"/"+jsonFile.getFileName());
		}
	}
}
