package com.csc.library.factory;

import javax.websocket.Session;

import com.csc.library.properties.HandleMessageData;
import com.csc.library.properties.HandlePackage;

public class HandlePackageFactory {
	private static HandlePackageFactory instance = null;
	private HandlePackage handle = null;
	
	private HandlePackageFactory(){
		handle = new HandleMessageData();
	}
	
	public static HandlePackageFactory getInstance(){
		if(instance == null){
			instance = new HandlePackageFactory();
		}
		return instance;
	}
	
	public HandlePackage getHandlePackage(){
		return handle;
	}
}
